CREATE TABLE CRST_FA_CAT_BOOK_DEF
(
  CATEGORY_ID                    NUMBER(15),
  BOOK_TYPE_CODE                 VARCHAR2(15 BYTE),
  START_DPIS                     DATE,
  END_DPIS                       DATE,
  LIFE_IN_MONTHS                 NUMBER(4),
  DEPRN_METHOD                   VARCHAR2(12 BYTE),
  PRORATE_CONVENTION_CODE        VARCHAR2(10 BYTE),
  ITC_ELIGIBLE_FLAG              VARCHAR2(3 BYTE),
  USE_ITC_CEILINGS_FLAG          VARCHAR2(3 BYTE),
  CEILING_NAME                   VARCHAR2(30 BYTE),
  BASIC_RATE                     NUMBER,
  ADJUSTED_RATE                  NUMBER,
  BONUS_RULE                     VARCHAR2(30 BYTE),
  DEPRECIATE_FLAG                VARCHAR2(3 BYTE),
  RETIREMENT_PRORATE_CONVENTION  VARCHAR2(10 BYTE),
  PRICE_INDEX_NAME               VARCHAR2(40 BYTE),
  USE_STL_RETIREMENTS_FLAG       VARCHAR2(3 BYTE),
  STL_METHOD_CODE                VARCHAR2(12 BYTE),
  STL_LIFE_IN_MONTHS             NUMBER(4),
  LAST_UPDATE_DATE               DATE,
  LAST_UPDATED_BY                NUMBER(15),
  CREATED_BY                     NUMBER(15),
  CREATION_DATE                  DATE,
  LAST_UPDATE_LOGIN              NUMBER(15),
  SUBCOMPONENT_LIFE_RULE         VARCHAR2(13 BYTE),
  MINIMUM_LIFE_IN_MONTHS         NUMBER(4),
  PRODUCTION_CAPACITY            NUMBER,
  UNIT_OF_MEASURE                VARCHAR2(25 BYTE),
  CAPITAL_GAIN_THRESHOLD         NUMBER,
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE        VARCHAR2(30 BYTE),
  USE_DEPRN_LIMITS_FLAG          VARCHAR2(3 BYTE),
  ALLOWED_DEPRN_LIMIT            NUMBER,
  SPECIAL_DEPRN_LIMIT_AMOUNT     NUMBER,
  PERCENT_SALVAGE_VALUE          NUMBER,
  CUA_LIFE_END_DATE              DATE,
  CUA_RULE_SET_ID                NUMBER,
  DUMMY                          CHAR(1),
  LAST_UPDATED_NAME              VARCHAR2(100),
  CREATED_NAME                   VARCHAR2(100)
);
